{% extends "admin/base_site.html" %}
{% load i18n admin_modify adminmedia %}

{% block extrahead %}{{ block.super }}
{{ media }}
<link rel="stylesheet" type="text/css" href="{% admin_media_prefix %}css/changelists.css" />
<link rel="stylesheet" type="text/css" href="{% admin_media_prefix %}css/forms.css" />

<style type='text/css'>

.module1 {
    border: 1px solid #ccc;
    margin-bottom: 5px;
    margin-left: 5px;
    background: white;
    float: left;
    width:30%;
}

.module1 p, .module1 ul, .module1 h3 {
    padding-left: 10px;
    padding-right: 10px;
}

.module1 ul {
    margin-left: 1.5em;
}

.module1 ul.actionlist {
    margin-left: 0;
}

ul.actionlist li {
    list-style-type: none;
}


.module2 {
    border: 1px solid #ccc;
    margin-bottom: 5px;
    margin-left: 5px;
    background: white;
    float: left;
    width:30%;
}

.module2 p, .module2 ul, .module2 h3 {
    padding-left: 10px;
    padding-right: 10px;
}

.module2 ul {
    margin-left: 1.5em;
}

.module2 ul.actionlist {
    margin-left: 0;
}

ul.actionlist li {
    list-style-type: none;
}

</style>

{% if activado %}
<script type="text/javascript">
var lastsel;
jQuery("#grid_notas").jqGrid({
   	url:'notas/ver_notas_periodocurso/?p=' + {{ periodocurso.id }} + '&u=' + {{ user.id }},
	datatype: "json",
   	colNames: {{ titulos|escape }},
   	colModel: {{ celdas|escape }},
   	rowNum:40,
   	pager: '#pagernav_notas',
   	sortname: 'id',
        viewrecords: true,
        sortorder: "desc",
	onSelectRow: function(id){
		if(id && id!==lastsel){
			jQuery('#grid_notas').jqGrid('restoreRow',lastsel);
  			lastsel=id;
		}
                jQuery('#grid_notas').jqGrid('editRow',id,true);
	},
	caption: "Notas",
        height:'100%',
        width: '100%'
});
jQuery("#grid_notas").jqGrid('navGrid','#pagernav_notas',
{search:false,edit:false,add:false,del:false},
{reloadAfterSubmit:true},
{},
{},
{}
);
</script>
{% endif %}
{% endblock %}

{% block bodyclass %}change-list{% endblock %}
{% block branding %}{% endblock %}

{% block breadcrumbs %}{% endblock %}

{% block title %} {% trans 'Notas del curso' %} {{ periodocurso.Curso.Nombre|escape }} {% endblock %}
{% block coltype %}flex{% endblock %}

{% block content %}


<div id="content-main">

<fieldset class="module">
<div class="form-row">
        <div class="field-box">
		<label class="required" >Semestre:</label>
                {{ periodocurso.Periodo|escape }}
	</div>
        <div class="field-box">
		<label class="required" >Grupo Horario:</label>
                {{ periodocurso.Grupo|escape }}
	</div>
        <div class="field-box">
		<label class="required" >Créditos:</label>
                {{ periodocurso.Curso.Creditos|escape }}
	</div>
	<div class="field-box">
		<label class="required" >Horario:</label>
                {% for horario in periodocurso.horario_set.all %}
                    {{ horario.Dia|escape }}, {{ horario.HoraInicio|escape }} - {{ horario.HoraFin|escape }}, {{ horario.Seccion|escape }}<br>
                {% endfor %}
	</div>
        <div class="field-box">
		<label class="required" >Docente:</label>
                {{ periodocurso.Docente|escape }}
	</div>
</div>
</fieldset>
</div>

<br>

<h2>CALIFICACIONES</h2>
{% block result_list %}
      {% if activado %}
      <!-- <table id="grid_notas"></table> -->
      <div class = "module aligned" id="changelist" >
      <table>
        <THEAD>
        <TR>
        <TH>Nº</TH>
        {% for reg1 in registros.0.1 %}
            {% if reg1 %}
                {% for reg2 in reg1.1 %}
                    {% if reg2 %}
                        {% for reg3 in reg2.1 %}
                            {% if reg3 %}
                                <TH>{{ reg3.0.Identificador }}</TH>
                            {% endif %}
                        {% endfor %}
                    {% endif %}
                    <TH>{{ reg2.0.Identificador }}</TH>
                {% endfor %}
                <TH>{{ reg1.0.Identificador }}</TH>
            {% endif %}
        {% endfor %}
        <TH>{% trans 'PF' %}</TH>
        </TR>
	</THEAD>
        <TBODY>
        {% for reg in registros %}
        <TR class="{% cycle 'row1' 'row2' %}">
           <TD>{{ forloop.counter }}</TD>
            {% for reg1 in reg.1 %}
                {% if reg1 %}
                    {% for reg2 in reg1.1 %}
                        {% if reg2 %}
                            {% for reg3 in reg2.1 %}
                                {% if reg3 %}
                                        <TD align='center'><span style="font-size: 10px;color: {% if reg3.2 < 13 %}DarkRed{% else %}Navy{% endif %}">{{ reg3.2 }</span>}</TD>
                                {% endif %}
                            {% endfor %}
                        {% endif %}
                            <TD align='center'><span style="font-size: 10px;color: {% if reg2.2 < 13 %}DarkRed{% else %}Navy{% endif %}">{{ reg2.2 }}</span></TD>
                    {% endfor %}
                        <TD align='center'><span style="font-size: 10px;color: {% if reg1.2 < 13 %}DarkRed{% else %}Navy{% endif %}">{{ reg1.2 }}</span></TD>
                {% endif %}
            {% endfor %}
            <TD align='center'><span style="font-size: 10px;color: {% if reg.0.Promedio < 13 %}DarkRed{% else %}Navy{% endif %}">{{ reg.0.Promedio }}</span></TD>
        </TR>
        {% endfor %}
        </TBODY>
        </table>
        </div>
      {% else %}
      <h2>Usted no puede ver sus Calificaciones debido a que tiene deudas pendientes</h2>
      {% endif %}
      
{% endblock %}      
<br><br>

      <div class="module2a">
        <h3>Items de Calificación</h3>
        <ul class="actionlist">
       {% for nota in notas %}
           <li>{{ nota.Identificador }} : "{{ nota.Nota }}"</li>
       {% endfor %}
        </ul>
      </div>

<br><br>

      <div class="module1a">
        <h3>Fórmulas de Calificación</h3>
        <ul class="actionlist">
       {% for formula in formulas %}
           <li>{{ formula }}</li>
       {% endfor %}
        </ul>
      </div>


{% endblock %}
